aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBruce Hill <bruce@bruce-hill.com>2025-04-30 20:44:18 -0400
committerBruce Hill <bruce@bruce-hill.com>2025-04-30 20:44:18 -0400
commitb516d8c7c6403f1a5f67eddbfd96150c9d71ae09 (patch)
treeb02fbb7e4a3c9195e4faa147f739a1f83b15e464
parentdfedf3f2bb434065da3ddbc931e87a4017535f80 (diff)
Remove checks and dependencies
-rw-r--r--Makefile13
-rw-r--r--README.md1
-rwxr-xr-xinstall_dependencies.sh26
3 files changed, 13 insertions, 27 deletions
diff --git a/Makefile b/Makefile
index 30076663..54cbe2b3 100644
--- a/Makefile
+++ b/Makefile
@@ -176,19 +176,6 @@ deps:
bash ./install_dependencies.sh
check-utilities: check-c-compiler
- @which objcopy 2>/dev/null >/dev/null \
- || { printf '\033[31;1m%s\033[m\n' "I couldn't find 'objcopy' on your system! Try installing the package 'binutils' with your package manager."; exit 1; }
- @if echo | $(DEFAULT_C_COMPILER) -dM -E - | grep -q '__ELF__'; then \
- which patchelf 2>/dev/null >/dev/null \
- || { printf '\033[31;1m%s\033[m\n' "I couldn't find 'patchelf' on your system! Try installing the package 'binutils' with your package manager."; exit 1; }; \
- else \
- which llvm-objcopy 2>/dev/null >/dev/null \
- || { printf '\033[31;1m%s\033[m\n' "I couldn't find 'llvm-objcopy' on your system! Try installing the package 'llvm' with your package manager."; exit 1; }; \
- fi
- @which nm 2>/dev/null >/dev/null \
- || { printf '\033[31;1m%s\033[m\n' "I couldn't find 'nm' on your system! Try installing the package 'binutils' with your package manager."; exit 1; }
- @which awk 2>/dev/null >/dev/null \
- || { printf '\033[31;1m%s\033[m\n' "I couldn't find 'awk' on your system! Try installing the package 'awk' with your package manager."; exit 1; }
@which debugedit 2>/dev/null >/dev/null \
|| printf '\033[33;1m%s\033[m\n' "I couldn't find 'debugedit' on your system! Try installing the package 'debugedit' with your package manager. (It's not required though)"
diff --git a/README.md b/README.md
index 48b34b1e..503854f1 100644
--- a/README.md
+++ b/README.md
@@ -94,7 +94,6 @@ Tomo has a very small set of dependencies:
string support (version 1.0 or higher)
- [GNU multiple precision arithmetic library](https://gmplib.org/manual/index)
for arbitrary precision integer math (version 6.2.1 or higher)
-- [Patchelf](https://github.com/NixOS/patchelf) for building tomo libraries
- [libbacktrace](https://github.com/ianlancetaylor/libbacktrace) for stack traces.
- and libc/libm, which should definitely already be installed.
diff --git a/install_dependencies.sh b/install_dependencies.sh
index 53412213..9b9026e9 100755
--- a/install_dependencies.sh
+++ b/install_dependencies.sh
@@ -48,19 +48,19 @@ fi
# Install packages
case "$PKG_MGR" in
- apt) $SUDO apt install libgc-dev libunistring-dev binutils patchelf libgmp-dev ;;
- dnf) $SUDO dnf install gc-devel libunistring-devel binutils patchelf gmp-devel ;;
- pacman) $SUDO pacman -S gc libunistring binutils patchelf gmp ;;
- yay|paru) $PKG_MGR -S gc libunistring binutils patchelf gmp ;;
- xbps) $SUDO xbps-install -S gc libunistring binutils patchelf gmp ;;
- pkg_add) $SUDO pkg_add boehm-gc libunistring binutils patchelf gmp ;;
- freebsd-pkg) $SUDO pkg install boehm-gc libunistring binutils patchelf gmp ;;
- brew) brew install bdw-gc libunistring binutils llvm patchelf gmp ;;
- macports) $SUDO port install boehm-gc libunistring binutils patchelf gmp ;;
- zypper) $SUDO zypper install gc-devel libunistring-devel binutils patchelf gmp-devel ;;
- nix) nix-env -iA nixpkgs.boehmgc.dev nixpkgs.libunistring nixpkgs.binutils nixpkgs.patchelf nixpkgs.gmp ;;
- spack) spack install boehm-gc libunistring binutils patchelf gmp ;;
- conda) conda install boehm-gc libunistring binutils patchelf gmp ;;
+ apt) $SUDO apt install libgc-dev libunistring-dev binutils libgmp-dev ;;
+ dnf) $SUDO dnf install gc-devel libunistring-devel binutils gmp-devel ;;
+ pacman) $SUDO pacman -S gc libunistring binutils gmp ;;
+ yay|paru) $PKG_MGR -S gc libunistring binutils gmp ;;
+ xbps) $SUDO xbps-install -S gc libunistring binutils gmp ;;
+ pkg_add) $SUDO pkg_add boehm-gc libunistring binutils gmp ;;
+ freebsd-pkg) $SUDO pkg install boehm-gc libunistring binutils gmp ;;
+ brew) brew install bdw-gc libunistring binutils llvm gmp ;;
+ macports) $SUDO port install boehm-gc libunistring binutils gmp ;;
+ zypper) $SUDO zypper install gc-devel libunistring-devel binutils gmp-devel ;;
+ nix) nix-env -iA nixpkgs.boehmgc.dev nixpkgs.libunistring nixpkgs.binutils nixpkgs.nixpkgs.gmp ;;
+ spack) spack install boehm-gc libunistring binutils gmp ;;
+ conda) conda install boehm-gc libunistring binutils gmp ;;
*)
echo "Unknown package manager: $PKG_MGR" >&2
exit 1